﻿using System;

namespace QuickAppLibrary
{
    /// <summary>
    /// Class for Application Information, implements AddressAbstract
    /// </summary>
    public sealed class ApplicationInfo : AddressAbstract
    {
        //Class Varibles
        private const string dateFormat = "MM/dd/yyyy";

        //Automatic Properties
        //Basic Information
        public string firstName { get; set; }
        public string lastName { get; set; }
        public string middleName { get; set; }

        //Contact
        public string mainPhone { get; set; }
        public string workPhone { get; set; }
        public string cellPhone { get; set; }
        public string email { get; set; }

        //Education
        public string highSchool { get; set; }
        public string highSchoolCity { get; set; }
        public string highSchoolState { get; set; }

        public string college { get; set; }
        public string collegeCity { get; set; }
        public string collegeState { get; set; }
        public string collegeDegree { get; set; }
        public string collegeMajor { get; set; }

        public string otherSchool { get; set; }
        public string otherSchoolCity { get; set; }
        public string otherSchoolState { get; set; }
        public string otherSchoolDegree { get; set; }
        public string otherSchoolMajor { get; set; }

        //Languages
        public string primaryLanguage { get; set; }
        public string secondaryLanguage { get; set; }

        //Other Info
        public DateTime availDate { get; set; }
        public string availDateString
        {
            get
            {
                return availDate.ToString(dateFormat);
            }
        }

        //Salary
        public string desiredSalary { get; set; }

        //Resume
        public string resumeText { get; set; }

        //Cover Letter
        public string coverLetter { get; set; }

        /// <summary>
        /// Sets an instance of ApplicationInfo
        /// </summary>
        public ApplicationInfo()
        {
        }
    }
}
